baseURL = "/"
languageCode = "fr-fr"
title = "Rencontres Francophones de l'Infonuagique Décentralisée"
theme = "hugo-whisper-theme"

pygmentsCodeFences = true
pygmentsCodefencesGuessSyntax = true
pygmentsUseClasses = true

[module]
  [module.hugoVersion]
    extended = true
    min = "0.55.0"

# Controls how many words are printed in the content summary on the docs homepage.
# See https://gohugo.io/content-management/summaries/
summaryLength = 30

[[menu.main]]
    name = "Accueil"
    url = "/"
    weight = 1

[[menu.main]]
    name = "Programme"
    url = "/programme/"
    weight = 2

[markup.goldmark.renderer]
  unsafe = true

[params]
   mainSections = ['programme']
  homepage_button_link = '/programme/'
  homepage_button_text = 'Consulter le programme et les archives'
  homepage_intro = 'Test'
  homepage_image = '/images/fediverse.png'
  homepage_creds = 'Illustration par Tobias Buckdahn (<a href="https://my.brick.camp/@tobias/102438886945107949">@tobias@my.brick.camp</a>) sous license CC BY-SA 4.0'

  ## You can enable to add anchor links to header elements
  # enable_anchor_link = true

  [params.homepage_meta_tags]
    meta_description = "Les Rencontres Francophones de l'Informatique Distribuées réunissent des internautes échangeant sur les enjeux techniques de la création d'un Internet plus décentralisé et éthique."
    meta_og_title = "Rencontres Francophones de l'Informatique Distribuée"
    meta_og_type = "website"
    meta_og_url = "https://rfid.deuxfleurs.fr"
    meta_og_image = ""
    meta_og_description = "Venez discuter avec nous des enjeux techniques pour créer un Internet plus décentralisé et éthique"
    meta_twitter_card = "summary"
    meta_twitter_site = "@tgoldoin"
    meta_twitter_creator = "@tgoldoin"

  [params.logo]
      mobile = "/images/logo-mobile.svg"
      standard  = "/images/logo.svg"

[[deployment.targets]]
 URL = "s3://rfid.deuxfleurs.fr?endpoint=garage.deuxfleurs.fr&s3ForcePathStyle=true&region=garage"
